package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.RptTemperCharts;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 测温柜-温度曲线
 * 
 * @author buck_guo
 * @date 2019/07/14
 */
@Repository
public class RptTemperChartsDao extends BaseDao<RptTemperCharts, String> {

    public int saveOrUpdate(RptTemperCharts entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}